404

[ Avaa Bypassed ]




Upload:

Command:

botdev@3.138.190.225: ~ $
#!/bin/bash

set -e

LOCALEGEN=/etc/locale.gen
LOCALES=/usr/share/i18n/locales
USER_LOCALES=/usr/local/share/i18n/locales
SUPPORTED=/var/lib/locales/supported.d
ALIASES=/usr/share/locale/locale.alias
if [ -n "$POSIXLY_CORRECT" ]; then
  unset POSIXLY_CORRECT
fi


[ -f $LOCALEGEN ] || exit 0;
[ -s $LOCALEGEN ] || exit 0;

KEEP=
IS_LANG=no
ARCHIVE=yes

#  Handle command-line options
prev=
while true
do
	option="$1"
	if [ -n "$prev" ]; then
                eval "$prev=\$option"
                prev=
                continue
	fi

	case $option in
	-h|--help)
		cat <<EOT
Usage: locale-gen [OPTIONS]
Options:
 -h, --help         display this message and exit
     --purge        remove existing locales before processing
     --archive      store compiled locale data inside a single archive
     --no-archive   do not store compiled locale data inside a single archive
                    (default)
     --aliases=FILE read locale aliases from FILE. (Default: /etc/locale.alias)
     --lang         treat argument as generic language code
EOT
		exit 0
		;;
	--purge)
		# This is the default when called without arguments
		;;
	--no-purge)
		KEEP=1
		;;
	--archive)
		ARCHIVE=yes
		;;
	--no-archive)
		ARCHIVE=no
		;;
	--keep-existing)
		KEEP=1
		;;
	--aliases)
		prev=ALIASES
		;;
	--aliases=*)
		ALIASES=$(expr "x$option" : 'x[^=]*=\(.*\)')
		;;
	--lang)
		IS_LANG=yes
		;;
	--*)
		echo "locale-gen: invalid option -- $option"
		echo "Try 'locale-gen --help' for more information."
		exit 1
		;;
	*)
		break
		;;
	esac

	shift
done

no_archive=
[ "$ARCHIVE" = yes ] || no_archive="--no-archive"
locale_alias=
[ -n "$ALIASES" ] && [ -r "$ALIASES" ] && locale_alias="-A $ALIASES"

if [ -z "$1" ] && [ -z "$KEEP" ]; then
	# Remove all old locale dir and locale-archive before generating new
	# locale data.
	rm -rf /usr/lib/locale/locale-archive || true
	for dir in /usr/lib/locale/*; do
		[ -e "$dir" ] || continue
		if [ "${dir#/usr/lib/locale/}" = C.UTF-8 ]; then
			# owned by libc-bin
			continue
		fi
		rm -rf "$dir" 2>/dev/null || true
	done
fi

umask 022

is_entry_ok() {
  if [ -n "$locale" -a -n "$charset" ] ; then
    true
  else
    echo "error: Bad entry '$locale $charset'"
    false
  fi
}

add_to_locale_gen() {
  echo "$1" | while read locale; do
    if ! grep -q "^[# ]*$locale *\$" $LOCALEGEN; then
      echo "# $locale" >> $LOCALEGEN
    fi
    sed -i -e "0,/^[# ]*$locale *$/ s/^[# ]*$locale *$/$locale/" $LOCALEGEN
  done
}

if [ -z "$1" ]; then
  GENERATE="`cat $SUPPORTED/* $LOCALEGEN 2>/dev/null || true`"
else
  GENERATE=
  while [ -n "$1" ]; do
    if [ -f "$SUPPORTED/$1" ]; then
      GENERATE="$GENERATE\n`cat $SUPPORTED/$1`"
    elif [ $IS_LANG = no ] && L=`grep "^${1/%.utf8/.UTF-8} " /usr/share/i18n/SUPPORTED`; then
      # convert utf8 to UTF-8 and check if the requested locale exists
      GENERATE="$GENERATE\n$L"
      add_to_locale_gen "$L"
    elif [ $IS_LANG = no ] && L=`grep "^${1%.[uU][tT][fF]*} UTF-8" /usr/share/i18n/SUPPORTED`; then
      # recognize 'll_CC.UTF-8' or 'll_CC.utf8' as ll_CC without codeset
      GENERATE="$GENERATE\n$L"
      add_to_locale_gen "$L"
    else
      # try to come up with a sensible default
      L=`grep -E "^${1}( |[._@][^[:space:]]* )UTF-8" /usr/share/i18n/SUPPORTED || true`
      if [ -z "$L" ]; then
        echo "Error: '$1' is not a supported language or locale" >&2
        exit 1
      fi
      GENERATE="$GENERATE\n$L"
      add_to_locale_gen "$L"
    fi
    shift
  done
fi

echo "Generating locales (this might take a while)..."
echo -e "$GENERATE" | sort -u | while read locale charset; do \
	case $locale in \#*) continue;; "") continue;; esac; \
	is_entry_ok || continue
	if [ "$KEEP" ] && PERL_BADLANG=0 perl -MPOSIX -e \
	    'exit 1 unless setlocale(LC_ALL, $ARGV[0])' "$locale"; then
		continue
	fi
	echo -n "  `echo $locale | sed 's/\([^.\@]*\).*/\1/'`"; \
	echo -n ".$charset"; \
	echo -n `echo $locale | sed 's/\([^\@]*\)\(\@.*\)*/\2/'`; \
	echo -n '...'; \
	if [ -f $USER_LOCALES/$locale ] ; then
	    input=$USER_LOCALES/$locale
        elif [ -f $LOCALES/$locale ]; then 
	    input=$locale
        else
	    input=`echo $locale | sed 's/\([^.]*\)[^@]*\(.*\)/\1\2/'`
	    if [ -f $USER_LOCALES/$input ]; then
	        input=$USER_LOCALES/$input
            fi
	fi
	localedef $no_archive -i $input -c -f $charset $locale_alias $locale || :; \
	echo ' done'; \
done
echo "Generation complete."

Filemanager

Name Type Size Permission Actions
ModemManager File 1.37 MB 0755
NetworkManager File 2.54 MB 0755
a2disconf File 15.89 KB 0755
a2dismod File 15.89 KB 0755
a2dissite File 15.89 KB 0755
a2enconf File 15.89 KB 0755
a2enmod File 15.89 KB 0755
a2ensite File 15.89 KB 0755
a2query File 9.64 KB 0755
aa-remove-unknown File 2.85 KB 0755
aa-status File 8.41 KB 0755
accessdb File 10.23 KB 0755
acpid File 50.84 KB 0755
add-shell File 860 B 0755
addgnupghome File 3.01 KB 0755
addgroup File 36.45 KB 0755
adduser File 36.45 KB 0755
apache2 File 659.69 KB 0755
apache2ctl File 7.06 KB 0755
apachectl File 7.06 KB 0755
apparmor_status File 8.41 KB 0755
applygnupgdefaults File 2.17 KB 0755
arp File 61.3 KB 0755
arpd File 54.03 KB 0755
aspell-autobuildhash File 13.22 KB 0755
atd File 26.01 KB 0755
bcache-super-show File 13.99 KB 0755
biosdecode File 18.87 KB 0755
chat File 30.01 KB 0755
check_forensic File 952 B 0755
chgpasswd File 57.83 KB 0755
chmem File 42.08 KB 0755
chpasswd File 53.86 KB 0755
chroot File 38.18 KB 0755
cpgr File 55.96 KB 0755
cppw File 55.96 KB 0755
cron File 46.3 KB 0755
cryptdisks_start File 1.11 KB 0755
cryptdisks_stop File 1.16 KB 0755
danted File 858.54 KB 0755
dbconfig-generate-include File 12.37 KB 0755
dbconfig-load-include File 5.57 KB 0755
delgroup File 16.11 KB 0755
deluser File 16.11 KB 0755
dmidecode File 106.54 KB 0755
dnsmasq File 379.6 KB 0755
dpkg-preconfigure File 3.58 KB 0755
dpkg-reconfigure File 4.34 KB 0755
e2freefrag File 14.07 KB 0755
e4crypt File 22.07 KB 0755
e4defrag File 25.99 KB 0755
escapesrc File 22.16 KB 0755
faillock File 13.99 KB 0755
fanatic File 35.21 KB 0755
fanctl File 41.98 KB 0755
fdformat File 30.08 KB 0755
filefrag File 14.02 KB 0755
gconf-schemas File 4.45 KB 0755
genccode File 10.36 KB 0755
gencmn File 10.44 KB 0755
genl File 58.05 KB 0755
gennorm2 File 54.59 KB 0755
gensprep File 18.5 KB 0755
groupadd File 61.92 KB 0755
groupdel File 70.37 KB 0755
groupmems File 57.87 KB 0755
groupmod File 68.18 KB 0755
grpck File 53.8 KB 0755
grpconv File 49.68 KB 0755
grpunconv File 49.68 KB 0755
grub-install File 1003.51 KB 0755
grub-macbless File 780.84 KB 0755
grub-mkconfig File 8.03 KB 0755
grub-mkdevicemap File 207.62 KB 0755
grub-probe File 793.09 KB 0755
grub-reboot File 4.73 KB 0755
grub-set-default File 832 B 0755
grub-set-default-legacy-ec2 File 3.13 KB 0755
grub-set-default.real File 3.47 KB 0755
hddtemp File 38.68 KB 0755
httxt2dbm File 9.99 KB 0755
iconvconfig File 30.25 KB 0755
icupkg File 18.77 KB 0755
init.lxc File 38.5 KB 0755
init.lxc.static File 1005.91 KB 0755
invoke-rc.d File 15.66 KB 0755
ip6tables-apply File 6.85 KB 0755
iptables-apply File 6.85 KB 0755
irqbalance File 62.68 KB 0755
irqbalance-ui File 34.06 KB 0755
isadump File 13.99 KB 0755
isaset File 9.99 KB 0755
iscsi-iname File 9.99 KB 0755
iscsi_discovery File 5.16 KB 0755
iscsid File 398.15 KB 0755
iscsistart File 358.13 KB 0755
ispell-autobuildhash File 15.39 KB 0755
ldattach File 30.08 KB 0755
locale-gen File 4.3 KB 0755
logrotate File 74.09 KB 0755
luksformat File 3.32 KB 0755
make-bcache File 18.07 KB 0755
make-ssl-cert File 3.78 KB 0755
mkinitramfs File 10.89 KB 0755
mklost+found File 9.99 KB 0755
mysqld File 23.16 MB 0755
netfilter-persistent File 1.05 KB 0755
netplan File 798 B 0755
newusers File 82.39 KB 0755
nfnl_osf File 13.99 KB 0755
nologin File 5.99 KB 0755
openvpn File 750.27 KB 0755
overlayroot-chroot File 2.45 KB 0755
ownership File 10.13 KB 0755
pam-auth-update File 19.38 KB 0755
pam_getenv File 2.82 KB 0755
pam_timestamp_check File 9.99 KB 0755
paperconfig File 4.07 KB 0755
php7-fpm File 37.24 MB 0755
phpdismod File 7.11 KB 0755
phpenmod File 7.11 KB 0755
phpquery File 6.24 KB 0755
pma-configure File 299 B 0755
pma-secure File 157 B 0755
popcon-largest-unused File 543 B 0755
popularity-contest File 4.92 KB 0755
pppd File 369.73 KB 4754
pppdump File 18.1 KB 0755
pppoe-discovery File 18 KB 0755
pppstats File 13.99 KB 0755
pptp File 62.98 KB 0755
pptpsetup File 6.46 KB 0755
pwck File 49.8 KB 0755
pwconv File 45.7 KB 0755
pwunconv File 45.68 KB 0755
readprofile File 18.11 KB 0755
recvtty File 3.4 MB 0755
remove-default-ispell File 2.86 KB 0755
remove-default-wordlist File 2.86 KB 0755
remove-shell File 904 B 0755
rmt File 58.39 KB 0755
rmt-tar File 58.39 KB 0755
rsyslogd File 668.54 KB 0755
rtcwake File 42.08 KB 0755
rtkitctl File 10.06 KB 0755
runc File 8.37 MB 0755
sd-helper File 3.26 MB 0755
seccompagent File 2.18 MB 0755
select-default-ispell File 3.23 KB 0755
select-default-wordlist File 3.21 KB 0755
sensors-detect File 204.66 KB 0755
service File 9.04 KB 0755
setvesablank File 14.07 KB 0755
split-logfile File 2.36 KB 0755
sshd File 772.41 KB 0755
tarcat File 936 B 0755
tcpdump File 999.6 KB 0755
tzconfig File 106 B 0755
ufw File 4.82 KB 0755
update-ca-certificates File 5.27 KB 0755
update-default-aspell File 1 KB 0755
update-default-ispell File 9.68 KB 0755
update-default-wordlist File 7.5 KB 0755
update-dictcommon-aspell File 1 KB 0755
update-dictcommon-hunspell File 782 B 0755
update-fonts-alias File 5.71 KB 0755
update-fonts-dir File 3.98 KB 0755
update-fonts-scale File 6.1 KB 0755
update-grub File 64 B 0755
update-grub-legacy-ec2 File 43.96 KB 0755
update-grub2 File 64 B 0755
update-gsfontmap File 450 B 0755
update-icon-caches File 596 B 0755
update-info-dir File 1.66 KB 0755
update-initramfs File 8.04 KB 0755
update-locale File 2.99 KB 0755
update-mime File 8.84 KB 0755
update-passwd File 30.41 KB 0755
update-pciids File 2.84 KB 0755
update-rc.d File 16.12 KB 0755
update-secureboot-policy File 7.43 KB 0755
update-usbids File 1.05 KB 0755
usb_modeswitch File 59.51 KB 0755
usb_modeswitch_dispatcher File 46.16 KB 0755
usbmuxd File 70.38 KB 0755
useradd File 123.28 KB 0755
userdel File 82.48 KB 0755
usermod File 123.06 KB 0755
uuidd File 34.16 KB 0755
validlocale File 1.73 KB 0755
vcstime File 9.99 KB 0755
vigr File 60.18 KB 0755
vipw File 60.18 KB 0755
visudo File 208.8 KB 0755
vpddecode File 14.27 KB 0755
xfce4-kiosk-query File 9.99 KB 0755
xfce4-pm-helper File 9.99 KB 0755
xfpm-power-backlight-helper File 13.99 KB 0755
xfs_admin File 1.35 KB 0755
xfs_bmap File 638 B 0755
xfs_copy File 394.31 KB 0755
xfs_db File 667.63 KB 0755
xfs_estimate File 10.01 KB 0755
xfs_freeze File 767 B 0755
xfs_fsr File 30.02 KB 0755
xfs_growfs File 382.27 KB 0755
xfs_info File 472 B 0755
xfs_io File 130.93 KB 0755
xfs_logprint File 414.27 KB 0755
xfs_mdrestore File 370.28 KB 0755
xfs_metadump File 747 B 0755
xfs_mkfile File 1007 B 0755
xfs_ncheck File 650 B 0755
xfs_quota File 86.01 KB 0755
xfs_rtcp File 13.99 KB 0755
zerofree File 9.99 KB 0755
zic File 54.14 KB 0755